Bug 175311 - [patch] add "dump" fs type support to rc.d/dumpon
Summary: [patch] add "dump" fs type support to rc.d/dumpon
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: conf (show other bugs)
Version: unspecified
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-14 22:50 UTC by Enji Cooper
Modified: 2017-12-31 22:29 UTC (History)
0 users

See Also:


Attachments
file.txt (805 bytes, text/plain)
2013-01-14 22:50 UTC, Enji Cooper
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Enji Cooper freebsd_committer 2013-01-14 22:50:00 UTC
savecore(8) notes that you can use dump for the FS type, but dumpon only supports swap for the FS type. The attached patch enhances both FS types to work with dumpon + savecore.

Fix: Patch attached with submission follows:
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2013-01-15 04:14:28 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-rc

Over to maintainer(s).
Comment 2 Xin LI 2013-01-19 00:43:08 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

On 01/14/13 14:49, Garrett Cooper wrote:
> 
>> Number:         175311 Category:       conf Synopsis:
>> [patch] add "dump" fs type support to rc.d/dumpon Confidential:
>> no Severity:       non-critical Priority:       low Responsible:
>> freebsd-bugs State:          open Quarter: Keywords: 
>> Date-Required: Class:          sw-bug Submitter-Id:
>> current-users Arrival-Date:   Mon Jan 14 22:50:00 UTC 2013 
>> Closed-Date: Last-Modified: Originator:     Garrett Cooper 
>> Release:        10-CURRENT Organization:
> EMC Isilon
>> Environment:
> FreeBSD gran-tourismo.west.isilon.com 10.0-CURRENT FreeBSD
> 10.0-CURRENT #1 r+294c6eb: Fri Jan  4 07:38:46 PST 2013
> root@gran-tourismo.west.isilon.com:/usr/obj/usr/src/sys/GRAN-TOURISMO
> amd64
>> Description:
> savecore(8) notes that you can use dump for the FS type, but dumpon
> only supports swap for the FS type. The attached patch enhances
> both FS types to work with dumpon + savecore.
>> How-To-Repeat:
> 
>> Fix:
> 
> 
> > 
> From 16921efded40ef4c7800f07157f0e52be4cf8121 Mon Sep 17 00:00:00
> 2001 From: Garrett Cooper <yaneurabeya@gmail.com> Date: Mon, 14 Jan
> 2013 14:39:59 -0800 Subject: [PATCH] Support the pseudo fs_vfstype
> == "dump" noted in savecore(8)
> 
> Signed-off-by: Garrett Cooper <yaneurabeya@gmail.com> --- 
> etc/rc.d/dumpon | 7 ++++++- 1 file changed, 6 insertions(+), 1
> deletion(-)
> 
> diff --git a/etc/rc.d/dumpon b/etc/rc.d/dumpon index
> ce5fc1c..981ff84 100755 --- a/etc/rc.d/dumpon +++
> b/etc/rc.d/dumpon @@ -40,7 +40,12 @@ dumpon_start() return $? fi 
> while read dev mp type more ; do -			[ "${type}" = "swap" ] ||
> continue +			case "$type" in +			dump|swap) +				;; +			*) +
> continue;; +			esac

Why not just:

[ "${type}" = "swap" -o  "${type}" = "dump" ] || continue?

- -- 
Xin LI <delphij@delphij.net>    https://www.delphij.net/
FreeBSD - The Power to Serve!           Live free or die
-----BEGIN PGP SIGNATURE-----

iQEcBAEBCgAGBQJQ+ewcAAoJEG80Jeu8UPuzD40IAKe2N2o8ZVNODj65hXWWgiZa
BlTyog+MUxr9FwQQMelaZqUz7jywuyLFWeiFZcBohmOonthKIwX8saUyozphW6nc
jqpfKiZcywN6EaQfNucSsF55QdO2ndqCsXCDu+e4iyYK3KdTnc38gz+YbfzJOdxZ
Y2W7QNNKIBINXngFyRdvhOk2W+okEcbsu7tMxzp8tYu+bDQLWNHo7183gKjjnqeX
md/xhyHiFrRB48fZQ1+voAisnarI7ElKVNZVDwKBPzzsaNUsF56L+jmoQ2sqlhZF
oAThcW1tC9AMDlR8RWWmvWDwoDjeubKNOPr/3Yl+z2vsmeSIEf/7IIjidNILfzM=
=6mng
-----END PGP SIGNATURE-----
Comment 3 Enji Cooper freebsd_committer 2013-01-19 00:47:44 UTC
On Jan 18, 2013, at 4:43 PM, Xin Li wrote:

> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA512
> 
> On 01/14/13 14:49, Garrett Cooper wrote:
>> 
>>> Number:         175311 Category:       conf Synopsis:
>>> [patch] add "dump" fs type support to rc.d/dumpon Confidential:
>>> no Severity:       non-critical Priority:       low Responsible:
>>> freebsd-bugs State:          open Quarter: Keywords: 
>>> Date-Required: Class:          sw-bug Submitter-Id:
>>> current-users Arrival-Date:   Mon Jan 14 22:50:00 UTC 2013 
>>> Closed-Date: Last-Modified: Originator:     Garrett Cooper 
>>> Release:        10-CURRENT Organization:
>> EMC Isilon
>>> Environment:
>> FreeBSD gran-tourismo.west.isilon.com 10.0-CURRENT FreeBSD
>> 10.0-CURRENT #1 r+294c6eb: Fri Jan  4 07:38:46 PST 2013
>> root@gran-tourismo.west.isilon.com:/usr/obj/usr/src/sys/GRAN-TOURISMO
>> amd64
>>> Description:
>> savecore(8) notes that you can use dump for the FS type, but dumpon
>> only supports swap for the FS type. The attached patch enhances
>> both FS types to work with dumpon + savecore.
>>> How-To-Repeat:
>> 
>>> Fix:
>> 
>> 
>> >> 
>> From 16921efded40ef4c7800f07157f0e52be4cf8121 Mon Sep 17 00:00:00
>> 2001 From: Garrett Cooper <yaneurabeya@gmail.com> Date: Mon, 14 Jan
>> 2013 14:39:59 -0800 Subject: [PATCH] Support the pseudo fs_vfstype
>> == "dump" noted in savecore(8)
>> 
>> Signed-off-by: Garrett Cooper <yaneurabeya@gmail.com> --- 
>> etc/rc.d/dumpon | 7 ++++++- 1 file changed, 6 insertions(+), 1
>> deletion(-)
>> 
>> diff --git a/etc/rc.d/dumpon b/etc/rc.d/dumpon index
>> ce5fc1c..981ff84 100755 --- a/etc/rc.d/dumpon +++
>> b/etc/rc.d/dumpon @@ -40,7 +40,12 @@ dumpon_start() return $? fi 
>> while read dev mp type more ; do -			[ "${type}" = "swap" ] ||
>> continue +			case "$type" in +			dump|swap) +				;; +			*) +
>> continue;; +			esac
> 
> Why not just:
> 
> [ "${type}" = "swap" -o  "${type}" = "dump" ] || continue?

That's valid too -- didn't realize it had been converted to a built-in:

$ type [ 
[ is a shell builtin

Thanks!
-Garrett
Comment 4 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 07:58:49 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped